<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- expected param: patient (this patient must extends AbstractPatient), codeProvider: the name of the bean which implement DemographicCodeProvider interface -->
    <s:div id="editAbstractPatientDemographicBP6">
        <div class="row form-horizontal">
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.FirstName']}</ui:define>
                    <ui:param name="id" value="name1input"/>
                    <h:inputText styleClass="form-control" id="name1input" value="#{patient.firstName}"/>
                </s:decorate>
            </div>
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.patgen.AlternateFirstName']}</ui:define>
                    <ui:param name="id" value="altname1input"/>
                    <h:inputText styleClass="form-control" id="altname1input" value="#{patient.alternateFirstName}"/>
                </s:decorate>
            </div>
        </div>
        <div class="row form-horizontal">
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" rendered="#{displayFullDemographics}">
                    <ui:define name="label">#{messages['net.ihe.gazelle.patgen.SecondName']}</ui:define>
                    <ui:param name="id" value="name2input"/>
                    <h:inputText styleClass="form-control" id="name2input" value="#{patient.secondName}"/>
                </s:decorate>
            </div>
            <div class="col-md-6">
            </div>
        </div>
        <div class="row form-horizontal">
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" rendered="#{displayFullDemographics}">
                    <ui:define name="label">#{messages['net.ihe.gazelle.patgen.ThirdName']}</ui:define>
                    <ui:param name="id" value="name3input"/>
                    <h:inputText styleClass="form-control" id="name3input" value="#{patient.thirdName}"/>
                </s:decorate>
            </div>
            <div class="col-md-6">
            </div>
        </div>
        <div class="row form-horizontal">
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.LastName']}</ui:define>
                    <ui:param name="id" value="lastinput"/>
                    <h:inputText styleClass="form-control" id="lastinput" value="#{patient.lastName}"/>
                </s:decorate>
            </div>
            <div class="col-md-6">
            </div>
        </div>
        <s:div styleClass="row form-horizontal" rendered="#{renderMothersMaidenName}">
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" >
                    <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.MothersMaidenName']}
                    </ui:define>
                    <ui:param name="id" value="mmninput"/>
                    <h:inputText styleClass="form-control" id="mmninput" value="#{patient.motherMaidenName}"/>
                </s:decorate>
            </div>
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" rendered="#{displayFullDemographics}">
                    <ui:define name="label">#{messages['net.ihe.gazelle.patgen.Alternate']}
                        #{messages['gazelle.simulator.PatientGeneration.MothersMaidenName']}
                    </ui:define>
                    <ui:param name="id" value="altmmninput"/>
                    <h:inputText styleClass="form-control" id="altmmninput"
                                 value="#{patient.alternateMothersMaidenName}"/>
                </s:decorate>
            </div>
        </s:div>
        <div class="row form-horizontal">
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Gender']}</ui:define>
                    <ui:param name="id" value="genderinput"/>
                    <h:selectOneMenu styleClass="form-control" id="genderinput" value="#{patient.genderCode}">
                        <f:selectItems value="#{codeProvider.getAllGenders()}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </div>
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.DateOfBirth']}</ui:define>
                    <ui:param name="id" value="dateinput"/>
                    <rich:calendar
                            id="dateinput"
                            value="#{patient.dateOfBirth}"
                            popup="true" showApplyButton="false">
                    </rich:calendar>
                </s:decorate>
            </div>
        </div>
        <div class="row form-horizontal">
            <div class="col-md-6">
                <!-- we do not want the religion and/or race to be editable if it was not populated the first time, it might means that the
                attribute is forbidden in the country -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" rendered="#{not empty patient.religionCode}">
                    <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Religion']}</ui:define>
                    <ui:param name="id" value="relinput"/>
                    <h:selectOneMenu styleClass="form-control" id="relinput" value="#{patient.religionCode}">
                        <f:selectItems value="#{codeProvider.getAllReligions()}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </div>
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" rendered="#{not empty patient.raceCode}">
                    <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Race']}</ui:define>
                    <ui:param name="id" value="raceinput"/>
                    <h:selectOneMenu styleClass="form-control" id="raceinput" value="#{patient.raceCode}">
                        <f:selectItems value="#{codeProvider.getAllRaces()}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </div>
        </div>
    </s:div>
</ui:composition>
